/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*
 *  ============================================================================
 *   File    process.c
 *
 *   Path    $(TESTSUITEROOT)\OSAL
 * 
 *   Desc:
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *!   ============================================================================
 *!   Revision History
 *!
 *!   NOV xx, 2002    REF=ORG             Raghu
 *!      Original Version.
 *!   ============================================================================
 */

#include <testosal.h>

PHANDLE OsSpecificProcessCreate(char *ImageName, char *CmdLine, LPPROCESS_INFORMATION proc_info)
{
#ifndef __KERNEL__
	PHANDLE returnstatus;
	returnstatus = fork();
	return returnstatus;
#endif
}

PHANDLE OsSpecificWaitForProcessExit(PHANDLE hProcess, LPDWORD lpExitCode)
{
#ifndef __KERNEL__
	PHANDLE returnstatus;
	int options = 0;
	returnstatus = waitpid(hProcess, NULL, options);
	return (returnstatus);
#endif
}
