/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*  ============================================================================
 *   File    DSPNodeTST.h
 *
 *   Path    $(TESTSUITEROOT)\TestAPI\apitst\DSPNodeTST.h
 * 
 *   Desc:
 *           Header file for DSPNode_ API test case related functions.
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   JUL xx, 2002    REF=ORG             Swamy MC
 *      Original Version.
 *   ============================================================================
 */

/*
 *  ======= DSPNode_Allocate_API ========
 *
 */
INT DSPNode_Allocate_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Connect_API ========
 *
 */
INT DSPNode_Connect_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Create_API ========
 *
 */
INT DSPNode_Create_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Run_API ========
 *
 */
INT DSPNode_Run_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_GetMessage_API ========
 *
 */
INT DSPNode_GetMessage_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_PutMessage_API ========
 *
 */
INT DSPNode_PutMessage_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_AllocMsgBuf_API ========
 *
 */
INT DSPNode_AllocMsgBuf_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_FreeMsgBuf_API ========
 *
 */
INT DSPNode_FreeMsgBuf_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Pause_API ========
 *
 */
INT DSPNode_Pause_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Terminate_API ========
 *
 */
INT DSPNode_Terminate_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Delete_API ========
 *
 */
INT DSPNode_Delete_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_GetAttr_API ========
 *
 */
INT DSPNode_GetAttr_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_ChangePriority_API ========
 *
 */
INT DSPNode_ChangePriority_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_RegisterNotify_API ========
 *
 */
INT DSPNode_RegisterNotify_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_AllocMsgBuf1_API ========
 *
 */
INT DSPNode_AllocMsgBuf1_API(INT argc, CHAR *argv[], INT iRunTime);
