/*  ============================================================================
 *   File    IVADSPManagerTST.h
 *
 *   Path    $(TESTSUITEROOT)\TestAPI\apitst\DSPManagerTST.h
 * 
 *   Desc:
 *           Header file for DSPManager_ API test case related functions.
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   JUL xx, 2002    REF=ORG             Swamy MC
 *   AUG 05, 2004    REF=Based on DSP API tests             Ramesh Gupta G
 *      Original Version.
 *   ============================================================================
 */


/*
 *  ======= DSPManager_EnumNodeInfo_API ========
 *
 */
INT IVADSPManager_EnumNodeInfo_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPManager_EnumProcessorInfo_API ========
 *
 */
INT IVADSPManager_EnumProcessorInfo_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPManager_Open_API ========
 *
 */
INT IVADSPManager_Open_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPManager_Close_API ========
 *
 */
INT IVADSPManager_Close_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPManager_RegisterObject_API ========
 *
 */
INT IVADSPManager_RegisterObject_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPManager_UnregisterObject_API ========
 *
 */
INT IVADSPManager_UnregisterObject_API(INT argc, CHAR *argv[], INT iRunTime);

