#!/bin/bash


BRIDGEDIR="/vobs/SDS/Source/Bridge/dsp/"

if test ! -d $BRIDGEDIR; then 
	{ echo "DSP Bridge Directory not found."; exit 1; }
fi

pushd . > /dev/null
cd $BRIDGEDIR
export DEPOT=/data/omapts/linux/dsp-tc
export PATH=/data/omapts/linux/dsp-tc/BIOS-5.32.02/bios_5_32_02/xdctools/bin:$PATH
export PATH=/data/omapts/linux/dsp-tc/BIOS-5.32.02/bios_5_32_02/xdctools:$PATH
#gmake -f gmakefile .clean .bridge_samples || { echo "Error at compiling DSP samples."; exit 1; }
gmake -f gmakefile .clean .bridge_samples .bridge_testsuite || { echo "Error at compiling DSP samples."; exit 1; }
popd
